Jump to content

Archived

This topic is now archived and is closed to further replies.

jdstiles2

platform pro 1.6.1 update

Recommended Posts

jdstiles2

Hi

 

I am being prompted to update to Platform Pro 1.6.1 from 1.6.0 which I am currently running.  I was surprised because I know from being in this forum in the past year or so...Platform Pro is no longer supported as it is described as legacy.  I want to update so that I can move past Wordpress 3.5 which I am stuck at due to this platform pro not working properly after that update.  I've attached a screen shot.

 

A few questions:

 

1. When did this update come out?  I'm curious why I'm only now prompted to update to 1.6.1.

2. Is this update allowing us to download the newest version of wordpress or am I locked in at 3.5?

3. Do I need to update?  I'd rather not crash my site since you are not supporting this any longer.

 

Thanks for taking a look at my questions.  I truly apprecaite this forum. :mp3:

 

Jack

Share this post


Link to post
Share on other sites
Simon

PlatformPro works fine with WP 4.0 with zero issues.

 

Can I ask where you read '...which I am stuck at due to this platform pro not working properly after that update....'?

Share this post


Link to post
Share on other sites
jdstiles2

Simon,

 

Thanks for this response.  I've read on posts that Platform pro is no longer supported.  When I read that it was around when WP 3.5 was out.  I remember reading no more updates or patches would be written past that point.  There are a lot of forum posts here with people that had issues when updating to 3.5 and the experts here told them all that updates from there on out would not be supported. I assumed that everything after that could not be updated.  So you are saying there should be no issue with me updating to 4.0 from my current 3.5?  That would be great news that I was not expecting.  I may not have understood properly but there were many people with the same questions and I read most if not all of the forum posts pertaining. 

Share this post


Link to post
Share on other sites
Simon

We have always made sure it, and PageLines Framework work with each and every release of WordPress.

 

The products are only patched if there is an issue with an update to WordPress, and patched to keep them working. Development may have stopped but we still update the products to keep up with WordPress releases.

 

We never told anybody to not update from 3.5!

 

You are 15 releases behind with WordPress and I would really really advise you to backup your data 1st!

Share this post


Link to post
Share on other sites
jdstiles2

OK... Great.  In your estimation...Is my site going to change drastically?  Boxes moving, banners changing...etc.  I don't want to reinvent the wheel with this update.  I'm afraid I will lose my site.  I've got the back ups but I don't understand how to use them if there is an issue.  You are sure platform pro works with WP 4.0 and there are fixes for any issues that I may have if i upgrade to 4.0 from 3.5?  What could go wrong?  Thanks for taking your time to read my questions.  It means a lot to me.   :jig:  

Share this post


Link to post
Share on other sites
Simon

What could go wrong?

I cant really answer that, you let WordPress fall way behind with updates. I'd be inclined to do it like this:

1. Make a site backup on your host ( files and database )
2. Update all your plugins.
3. Update PlatformPro
4. check everything is OK at this point, remember you have a backup from 10 mins ago.
5. All OK? Make another backup.
6. Now update WordPress.

Share this post


Link to post
Share on other sites
jdstiles2

WOW...more great advice.  Thank you.  When I go to update to 1.6.1 as you say in step 3, I get this message.  (Attached screenshot).  It says that any customization I've done may be lost.  This whole website is custom in my eyes.  Will I need to rebuild the whole site?  That could take days.  The update can't put me under the bus.  It needs to be helpful.  Do you think I am going to lose my site because of all of the customization I've done?  What do they mean by customizations may be lost?  Why would anybody update to 1.6.1 if their site is not going to work any longer?  I am very nervous that I'm going to update this thing and be very very sad with what is left.  Thoughts?

 

Thank you so much for your kind advice.  I want to update but not a the expense of what I have built. 

 

 

Share this post


Link to post
Share on other sites
jdstiles2

Here is the screen shot I was trying to attach.

Share this post


Link to post
Share on other sites
Simon
Thats why you make a backup ;)

Thats a standard warning provided by WordPress for all theme/plugin updates.

Share this post


Link to post
Share on other sites
jdstiles2

OK...It's done!  Thank you for letting me know that I can keep updating with wordpress.  I clearly did not understand what I was reading.  Thanks for hanging with me.  I really appreciate it.  :D

Share this post


Link to post
Share on other sites

×